<?php 

$authorid =  getFromQueryString ('author');      
$authorrecord = readDatabaseRecord($authorrecordkeys, 'data/authors/' . $authorid . '.txt');


//RETRIEVE FORM INPUT 
if ($_SERVER ["REQUEST_METHOD"] == "POST" ) {   
        
    //Check if new author - if so, create id
    $error = false;
    if (!$authorid ) {  
        if ($_POST['name']) {
            $authorid = createRecordId ($_POST['name']);        
            if ($authorid === '') {
                echo "<div class = 'error'>Unable to create record id from title</div>";
                $error = true;  
            }
            //Check if file already exists
            else if  (file_exists ('data/authors/' . $authorid . '.txt')) {                
                echo "<div class = 'error'>author already exists</div>";              
                $error = true;
            }             
        }
        else {
            echo "</div class = 'error'>Missing author Name</div>";
            $error = true;
        }          
    }

    if ($error === false) {   

        //ASSIGN INPUT TO RECORD FIELDS
        foreach ($authorrecordkeys as $key) {         
        if (isset ($_POST[$key])) {       
            $authorrecord [$key] =  sanitizeFormInput ($_POST[$key]  );
            }
        } 
       
        writeDatabaseRecord ($authorrecord, 'data/authors/' . $authorid . '.txt');
    }
}

if ($authorid)   {
    echo "<h2>Edit author</h2>";
    echo "<h3>" . $authorrecord['name'] . "</h3>";
}
else {
    echo "<h2>New author</h2>";
    $authorrecord['date'] = date('Y-m-d');
}
?>
   
<form method='post' action='admin.php?adminpage=add-update-author&author=<?php echo $authorid;?>'> 
    <div class = 'content-column left'>      
       <?php         
       foreach ($authorrecordkeys as $key) {
            echo  showWords ( $key);          
            if ($key === 'text') {
                echo "<textarea name = '" . $key . "' rows = '10' >" . $authorrecord[$key] . "</textarea>";
            }
            else {
               echo "<br><input type = 'text' name = '" .$key . "'  value= '" . $authorrecord[$key] . "' />";               
           }
           echo "<br><br>"; 
        }
        ?>
        <br><br>
        <input class = 'submitbutton' type = 'submit' name = 'submit' value='Submit'/>  
        
    </div><div class = 'sidebar-column'>
        <a class = 'adminbutton' href = 'admin.php?adminpage=dashboard'>Dashboard</a>
        <a class = 'adminbutton' href = 'index.php?page=display-author&author=<?php echo $authorid; ?>'>View</a>
        <a class = 'adminbutton' href = 'admin.php?adminpage=remove-author&author=<?php echo $authorid; ?>'>Remove</a>
    </div>
    <?php

        echo "<br><br><b>Select Image for Author</b><br>";
        $array1 = scandir ('data/images');
        
        for ($i = 2; $i < count ($array1); $i++) {
            echo "<div class = 'input-gridcolumn'>";
            if ($authorrecord['image'] == $array1[$i] ){
                echo "<label for = '" . $i . "'> " . $array1[$i] . "</label>";
                echo  "<input id = '" . $i . "' type = 'radio' name = 'image' value = '" . $array1[$i] . "'  checked/>";
            }
            else {
                echo "<label for = '" . $i . "'> " . $array1[$i] . "</label>";
                echo  "<input id = '" . $i . "' type = 'radio' name = 'image' value = '" . $array1[$i] . "' />";
            }
            echo "<br><img  src = 'data/images/" . $array1[$i] . "' alt = 'img' >";
            echo "</div>";
        }
    ?>
    </form>


 
