<h1>Dashboard</h1>
<div class = 'content-column'>
    <div class = 'half-column'>
        <h3>Stories</h3>
        <?php
        $prevyear = $prevquarter = '';

        $datearray = extractFromMap ('data/maps/date-story-map.txt', 0);
        $storyarray = extractFromMap ('data/maps/date-story-map.txt', 1);
        $prevyear = '';
        echo "<div>";
        foreach ($datearray as $id => $date) {    
        
            $year = substr ($date, 0, 4);    
        
            if ($year !== $prevyear) {
                echo "</div><div class = 'admin-gridcolumn'><b>" . $year . "</b><br>";
                $prevyear = $year;
            }
            
            if (array_key_exists ($id, $storyarray)) {
                $storyid = $storyarray[$id];
                $storyrecord = readDatabaseRecord ($storyrecordkeys, 'data/stories/' . $storyid . '.txt');       
                echo "<a href = 'admin.php?adminpage=add-update-story&story=" . $storyid . "'>" . $storyrecord['title'] . "</a><br><br>";
            }
            
        }
    
    echo "</div>";
    ?>
    </div><div class = 'half-column'>
        <h3>Authors</h3>
        <?php

        $array1 = scandir ('data/authors');
        foreach ($array1 as $item1) {
            if (substr ($item1, 0, 1) !== '.') {
                $authorid = str_replace ('.txt', '', $item1);
                $authorrecord = readDatabaseRecord ($authorrecordkeys, 'data/authors/' . $authorid . '.txt');
                echo "<a href = 'admin.php?adminpage=add-update-author&author=" . $authorid . "'>" . $authorrecord['name'] . "</a><br>";
            }
        }

        echo "<h3>Tags</h3>";
        $tagarray = readArray ('data/tags.txt', ",");
        foreach ($tagarray as $tag) {          
            echo "<a href = 'admin.php?adminpage=update-tag&tag=" . $tag . "'>"  . showWords ($tag) . "</a><br>";                            
        }
        ?>

    </div>

</div><div class = 'sidebar-column'>
    <a class = 'adminbutton' href = 'admin.php?adminpage=add-update-story'>Add Story</a>
    <a class = 'adminbutton' href = 'admin.php?adminpage=add-update-author'>Add Author</a>
    <a class = 'adminbutton' href = 'admin.php?adminpage=manage-tags'>Manage Tags</a>
</div>
