<?php

session_start();

include ("inc/database-definitions.php");
include ("inc/functions.php");

$loggedin = false;
include ("inc/check-if-logged-in.php");

$pageid = getFromQueryString ('page');
if (!$pageid){
    $pageid = 'home';
}

include ("inc/header.php"); 

if (file_exists ("pages/". $pageid . ".php") ){ 
   include ("pages/" . $pageid . ".php");  
}
else if (file_exists ("admin-pages/" . $pageid . ".php")) {
    if ($loggedin === true) {
        include ("admin-pages/" . $pageid . ".php");
    }
    else {
        echo "You must be logged in to access this page";
    }
}
else {
    echo "This page does not exist<br><br>";
}

include ("inc/footer.php");



?>